﻿using System.Threading.Tasks;
using Website.Models.Auth;

namespace Website.Data {
	public interface IAuthenticationProvider {
		Task<User> Authenticate(LoginRequest request);
		Task<bool> UpdateUserPassword(UpdatePasswordRequest request);
	}
}